## git-evtag 2022.1

=== meson_options.txt ===
# Copyright 2022 Simon McVittie
# SPDX-License-Identifier: MIT

option(
  'install_tests',
  type : 'boolean',
  description : 'Install test programs',
  value : false,
)
option(
  'man',
  type : 'feature',
  description : 'Generate man pages',
  value : 'auto',
)
# "Option name rust is reserved"
option(
  'build_rust_version',
  type : 'feature',
  description : 'Compile Rust version',
  value : 'disabled',
)

## git-evtag 2016.1

=== debian/changelog ===
git-evtag (2016.1-2) unstable; urgency=medium

  * Don't make installed-tests data in /usr/libexec executable
    with debhelper 13.4
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2021 22:26:02 +0100

git-evtag (2016.1-1) experimental; urgency=medium

  * Initial package (Closes: #959068)
  * Add some patches from upstream, including a man page
  * Add patches to run tests at build-time, and fix the tests

 -- Simon McVittie <smcv@debian.org>  Wed, 05 May 2021 16:37:41 +0100

=== debian/control ===
Source: git-evtag
Section: devel
Priority: optional
Maintainer: Simon McVittie <smcv@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 dh-sequence-python3 <!noinsttest>,
 docbook-xml,
 docbook-xsl,
 git <!nocheck>,
 gnupg <!nocheck>,
 libgit2-glib-1.0-dev,
 libglib2.0-dev,
 libtool,
 pkg-config,
 python3 <!nocheck> <!noinsttest>,
 xsltproc,
Standards-Version: 4.5.1
Homepage: https://github.com/cgwalters/git-evtag
Vcs-Git: https://salsa.debian.org/debian/git-evtag.git
Vcs-Browser: https://salsa.debian.org/debian/git-evtag
Rules-Requires-Root: no

Package: git-evtag
Architecture: any
Multi-Arch: foreign
Depends:
 git,
 gnupg,
 ${misc:Depends},
 ${shlibs:Depends},
Description: extended verification for git tags
 git-evtag can be used as a replacement for git-tag -s. It will
 generate a strong checksum (called Git-EVTag-v0-SHA512) over
 the commit, tree, and blobs it references (and recursively over
 submodules).

Package: git-evtag-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 git-evtag,
 python3:any,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 gnome-desktop-testing,
Description: extended verification for git tags - as-installed tests
 git-evtag can be used as a replacement for git-tag -s. It will
 generate a strong checksum (called Git-EVTag-v0-SHA512) over
 the commit, tree, and blobs it references (and recursively over
 submodules).
 .
 This package contains "as-installed" automated tests, typically used via
 gnome-desktop-testing-runner or autopkgtest.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?(\d[\d\.]*)\.tar\.gz/git-evtag-$1.tar.gz/ \
https://github.com/cgwalters/@PACKAGE@/tags \
(?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## git-evtag 2016.1+git20221112

=== debian/changelog ===
git-evtag (2016.1+git20221112-1) unstable; urgency=medium

  * New upstream git snapshot
    - Fixes test failures with newer versions of git (Closes: #1023803)
  * Remove patches, applied upstream
  * d/copyright: Update
  * d/watch: Remove +git suffix if necessary
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Nov 2022 17:23:24 +0000

## git-evtag 2022.1

=== debian/changelog ===
git-evtag (2022.1-3) unstable; urgency=medium

  * d/rules, d/control,
    d/p/tests-Fix-installation-directory-for-as-installed-tests-u.patch:
    Build using meson
  * d/rules, d/control: Remove workaround for fixed dh-python bug #980310
  * d/control: Use dpkg build API v1
  * d/control: Remove Rules-Requires-Root, default since Debian 13
  * d/control: Add a comment clarifying the meaning of non-trivial build
    profile conditions
  * d/watch: Update to uscan format v5
  * d/salsa-ci.yml: Use recommended recipe
  * Normalize packaging (debputy reformat)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 15:32:21 +0000

git-evtag (2022.1-2) unstable; urgency=medium

  * d/control: Use pkgconf instead of pkg-config
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 13:09:55 +0000

git-evtag (2022.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Nov 2022 14:21:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: git-evtag
+X-Style: black
 Section: devel
 Priority: optional
 Maintainer: Simon McVittie <smcv@debian.org>
+# B-D on python3 if (!nocheck) || (!noinsttest)
 Build-Depends:
- autoconf,
- automake,
  debhelper-compat (= 13),
  dh-sequence-python3 <!noinsttest>,
+ dpkg-build-api (= 1),
  docbook-xml,
  docbook-xsl,
  git <!nocheck>,
  gnupg <!nocheck>,
  libgit2-glib-1.0-dev,
  libglib2.0-dev,
- libtool,
- pkg-config,
+ meson,
+ pkgconf,
  python3 <!nocheck> <!noinsttest>,
  xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/cgwalters/git-evtag
 Vcs-Git: https://salsa.debian.org/debian/git-evtag.git
 Vcs-Browser: https://salsa.debian.org/debian/git-evtag
-Rules-Requires-Root: no
 
 Package: git-evtag
 Architecture: any
@@ -44,7 +44,6 @@
 Multi-Arch: foreign
 Depends:
  git-evtag,
- python3:any,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem meson

configure_options = \
	-Dman=enabled \
	-Dinstall_tests=true \
	$(NULL)

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests/git-evtag
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests/git-evtag
endif

override_dh_python3:
	dh_python3 --verbose /usr/libexec/installed-tests/git-evtag

=== debian/tests/control ===
Tests:
 installed-tests,
Depends:
 git-evtag-tests,
 gnome-desktop-testing,

=== debian/watch ===
Version: 5

Source: https://github.com/cgwalters/@PACKAGE@/tags
Matching-Pattern: (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
Compression: xz
Dversion-Mangle: s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)?//
Filename-Mangle: s/.*\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1.tar.gz/
